Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class DiscreteAlphabet.DiscreteAlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.data.Alphabet.AlphabetParameterSet
                  de.jstacs.data.alphabets.DiscreteAlphabet.DiscreteAlphabetParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

Enclosing class:
  DiscreteAlphabet

    public static class DiscreteAlphabet.DiscreteAlphabetParameterSet

extends Alphabet.AlphabetParameterSet

Class for the `ParameterSet` of a `DiscreteAlphabet`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`DiscreteAlphabet.DiscreteAlphabetParameterSet()` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` with empty values.
`DiscreteAlphabet.DiscreteAlphabetParameterSet(char[] alphabet, boolean caseInsensitive)` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an array of symbols.
`DiscreteAlphabet.DiscreteAlphabetParameterSet(String[] alphabet, boolean caseInsensitive)` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an array of symbols.
`DiscreteAlphabet.DiscreteAlphabetParameterSet(StringBuffer representation)` Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from its XML representation.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.data.Alphabet.AlphabetParameterSet
`clone, getInstanceName`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`getErrorMessage, getId, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet()

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` with empty values.

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet(String[] alphabet,
                                                         boolean caseInsensitive)
                                                  throws Exception

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an array of symbols.

  Parameters:
    `alphabet` - the array of symbols
    `caseInsensitive` - `true` if the `DiscreteAlphabet` shall be case insensitive
  Throws:
    `Exception` - is thrown if the parameters could not be created

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet(char[] alphabet,
                                                         boolean caseInsensitive)
                                                  throws Exception

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from an array of symbols.

  Parameters:
    `alphabet` - the array of symbols
    `caseInsensitive` - `true` is the `DiscreteAlphabet` shall be case insensitive
  Throws:
    `Exception` - is thrown if the parameters could not be created

### DiscreteAlphabet.DiscreteAlphabetParameterSet

    public DiscreteAlphabet.DiscreteAlphabetParameterSet(StringBuffer representation)
                                                  throws NonParsableException

  Creates a new `DiscreteAlphabet.DiscreteAlphabetParameterSet` from its XML representation.

  Parameters:
    `representation` - the XML representation
  Throws:
    `NonParsableException` - is thrown if `representation` could not be parsed

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - an `Exception` is thrown if the parameters could not be loaded
  See Also:
    `ParameterSet.parameters`, `Parameter`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD